Plank.ItemFactory.make_dock_item – plank Reference Manual

# make_dock_item

## Description:

public File? make_dock_item (string uri, File? target_dir = null)

Creates a new .dockitem for a uri.

## Parameters:

uri | the uri or path to create a .dockitem for
target_dir | the folder where to put the newly created .dockitem (defaults to launchers_dir)

## Returns:

the new GLib.File of the new .dockitem created